AsterNet Class Library (Sandcastle documentation)

| ChannelStatusCommand Class

Returns the status of the specified channel. If no channel name is given the returns the status of the current channel.
Return values:

- 0 Channel is down and available
- 1 Channel is down, but reserved
- 2 Channel is off hook
- 3 Digits (or equivalent) have been dialed
- 4 Line is ringing
- 5 Remote end is ringing
- 6 Line is up
- 7 Line is busy

Inheritance Hierarchy
System
Object
AsterNET.FastAGI.Command
AGICommand
AsterNET.FastAGI.Command
ChannelStatusCommand

Namespace: AsterNET.FastAGI.Command
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public class ChannelStatusCommand : AGICommand

    Public Class ChannelStatusCommand
    	Inherits AGICommand

    public ref class ChannelStatusCommand : public AGICommand

    type ChannelStatusCommand =
        class
            inherit AGICommand
        end

The ChannelStatusCommand type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| ChannelStatusCommand | Initializes a new instance of the ChannelStatusCommand class
| ChannelStatusCommand(String) | Creates a new ChannelStatusCommand that queries the given channel.

Top
Methods

| Name | Description
--- | --- | ---
| BuildCommand | (Overrides AGICommand BuildCommand .)
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| EscapeAndQuote | (Inherited from AGICommand.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| ToString | (Inherited from AGICommand.)

Top
Properties

| Name | Description
--- | --- | ---
| Channel |

Top
See Also

#### Reference

AsterNET.FastAGI.Command Namespace